Bug 529255 - Review Request: i3lock - A slightly improved version of slock
Review Request: i3lock - A slightly improved version of slock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Osowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 529446
  Show dependency treegraph
 
Reported: 2009-10-15 15:19 EDT by Simon
Modified: 2014-02-24 07:56 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-21 23:40:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
th0br0: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-10-15 15:19:09 EDT
Spec URL:
http://cassmodiah.fedorapeople.org/i3/i3lock.spec

SRPM URL:
http://cassmodiah.fedorapeople.org/i3/i3lock-1.0-0.1.fc11.src.rpm

Description:
i3lock improves slock by making it fork() and therefore combinable with commands
to suspend your computer. Additionally, instead of turning off your screen via
DPMS and/or displaying a black screen, i3lock displays a white screen so you can
see if your computer failed to resume from suspend or if your screen is just 
locked. Also, when entering a wrong password, i3lock does not call XBell().
This is important because i3lock/slock think you’ve entered a password when 
resuming from suspend, at least sometimes.
Comment 1 Jason Tibbitts 2009-10-15 18:20:05 EDT
I note that the Summary: doesn't actually say anything at all about what this package does.
Comment 3 Christoph Wickert 2009-10-16 20:46:48 EDT
1.O seems to be a stable version but the release starting with 0 indicates a
pre-release or snapshot.
Comment 5 Andreas Osowski 2009-11-27 09:37:46 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format 
%{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: 
       [x] F12/i686 
 [x] Rpmlint output:
     Source RPM:
	- 
     Binary RPM(s):
 	-
 [x] Package is not relocatable.
 [x] Buildroot is correct
 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined   in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file,     containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided 
     in the spec URL.
     SHA1SUM of package: 8fcca5adea7b0c6e3ae3e4e1032c548dd96bbee9
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that 
     are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI 
     application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains 
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F12/i686
 [?] Package should compile and build into binary rpms on all supported 
     architectures.
     Tested on: 
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.  

Remaining issues:
One spare space in the Conflicts: line again, but that's just for aestheticism :D

*********************
***** APPROVED ******
*********************
Comment 6 Simon 2009-11-27 14:55:23 EST
Thanks for the review

New Package CVS Request
=======================
Package Name: i3lock
Short Description: Slightly improved version of slock
Owners: cassmodiah
Branches: F-12
Comment 7 Jason Tibbitts 2009-12-01 13:51:21 EST
Is there some reason the Short Description here is the one that I originally complained about instead of the one that's currently in the spec?  I went ahead and used the one from the spec, but if for some reason that's not what you wanted then please let me know.

CVS done.
Comment 8 Fedora Update System 2009-12-02 15:08:43 EST
i3lock-1.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/i3lock-1.0-1.fc12
Comment 9 Fedora Update System 2009-12-04 18:56:38 EST
i3lock-1.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update i3lock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12686
Comment 10 Fedora Update System 2009-12-21 23:40:54 EST
i3lock-1.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Simon 2010-06-23 08:10:59 EDT
Package Change Request
======================
Package Name: i3lock
New Branches: EL-6
Owners: cassmodiah
Comment 12 Jason Tibbitts 2010-06-26 17:23:12 EDT
CVS done (by process-cvs-requests.py).
Comment 13 Christopher Meng 2014-02-22 09:06:08 EST
Package Change Request
======================
Package Name: i3lock
New Branches: epel7
Owners: cicku cassmodiah
Comment 14 Jon Ciesla 2014-02-24 07:56:08 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.